Bug 1476404 - rpm scriptlet error when installing certbot in a container
rpm scriptlet error when installing certbot in a container
Status: NEW
Product: Fedora
Classification: Fedora
Component: certbot (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 17:26 EDT by Dusty Mabe
Modified: 2018-05-03 04:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2017-07-28 17:26:08 EDT
Description of problem:


when installing certbot in a container I see: 

```
  Running scriptlet: certbot-0.14.1-3.fc26.noarch                                                                                                                                                                                     50/50 
Traceback (most recent call last):
  File "/sbin/semanage", line 28, in <module>
    import seobject
  File "/usr/lib64/python3.6/site-packages/seobject.py", line 1046, in <module>
    class portRecords(semanageRecords):
  File "/usr/lib64/python3.6/site-packages/seobject.py", line 1048, in portRecords
    valid_types = list(list(sepolicy.info(sepolicy.ATTRIBUTE, "port_type"))[0]["types"])
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 193, in <genexpr>
    return ({
  File "/usr/lib64/python3.6/site-packages/setools/typeattrquery.py", line 65, in results
    for attr in self.policy.typeattributes():
AttributeError: 'NoneType' object has no attribute 'typeattributes'
```


Version-Release number of selected component (if applicable):
certbot-0.14.1-3.fc26.noarch

```
[root@origin-master-1 ~]# docker images
REPOSITORY                          TAG                 IMAGE ID            CREATED             SIZE
registry.fedoraproject.org/fedora   26                  c33114392d5e        3 weeks ago         231 MB
[root@origin-master-1 ~]# docker inspect c33114392d5e 
[
    {
        "Id": "sha256:c33114392d5e5e9ec69887a51b8397ca225e607cd716198912f9ece2235befa5",
        "RepoTags": [
            "registry.fedoraproject.org/fedora:26"
        ],
        "RepoDigests": [
            "registry.fedoraproject.org/fedora@sha256:6c358bee3b2591809aefbd2d1a865e2c81db0eed39ff3cdba77b911f5f938d7a"
        ],
        "Parent": "",
        "Comment": "Created by Image Factory",
        "Created": "2017-07-07T14:33:42Z",

```


How reproducible:
always

Steps to Reproduce:
1.  docker run -it -p80:80 -v /tmp/stuff:/workdir/ registry.fedoraproject.org/fedora:26 /bin/bash 
2. dnf install -y certbot
3.
Comment 1 Fedora End Of Life 2018-05-03 04:32:16 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.